Package org.apache.groovy.ginq.dsl

# Class GinqAstBaseVisitor

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.apache.groovy.ginq.dsl.GinqAstBaseVisitor

All Implemented Interfaces:
  `GinqAstVisitor<Void>`, `GroovyCodeVisitor`

@Incubating public class GinqAstBaseVisitor extends CodeVisitorSupport implements GinqAstVisitor<Void>
The default base visitor for GINQ AST

Since:
  4.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GinqAstBaseVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Void`
  `visit(AbstractGinqExpression expression)`
  Visits the supplied expression when present.
  `Void`
  `visitFromExpression(FromExpression fromExpression)`
  Visits a `from` clause.
  `Void`
  `visitGinqExpression(GinqExpression ginqExpression)`
  Visits a GINQ expression and its child clauses.
  `Void`
  `visitGroupExpression(GroupExpression groupExpression)`
  Visits a `groupby` clause.
  `Void`
  `visitHavingExpression(HavingExpression havingExpression)`
  Visits a `having` clause.
  `Void`
  `visitJoinExpression(JoinExpression joinExpression)`
  Visits a join clause.
  `Void`
  `visitLimitExpression(LimitExpression limitExpression)`
  Visits a `limit` clause.
  `Void`
  `visitOnExpression(OnExpression onExpression)`
  Visits an `on` clause.
  `Void`
  `visitOrderExpression(OrderExpression orderExpression)`
  Visits an `orderby` clause.
  `Void`
  `visitSelectExpression(SelectExpression selectExpression)`
  Visits a `select` clause.
  `Void`
  `visitSetOperationExpression(SetOperationExpression setOperationExpression)`
  Visits a set-operation expression.
  `Void`
  `visitShutdownExpression(ShutdownExpression shutdownExpression)`
  Visits a shutdown expression.
  `Void`
  `visitWhereExpression(WhereExpression whereExpression)`
  Visits a `where` clause.

  ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

  `afterSwitchCaseStatementsVisited, afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSwitchExpression, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop, visitYieldStatement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.ginq.dsl.GinqAstVisitor

  `getConfiguration, setConfiguration`

  ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

  `visit, visit, visitEmptyExpression, visitListOfExpressions`

- ## Constructor Details

  - ### GinqAstBaseVisitor

    public GinqAstBaseVisitor()

- ## Method Details

  - ### visitGinqExpression

    public Void visitGinqExpression(GinqExpression ginqExpression)
    Visits a GINQ expression and its child clauses.
    Specified by:
      `visitGinqExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `ginqExpression` - the expression to visit
    Returns:
      `null`

  - ### visitFromExpression

    public Void visitFromExpression(FromExpression fromExpression)
    Visits a `from` clause.
    Specified by:
      `visitFromExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `fromExpression` - the clause to visit
    Returns:
      `null`

  - ### visitJoinExpression

    public Void visitJoinExpression(JoinExpression joinExpression)
    Visits a join clause.
    Specified by:
      `visitJoinExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `joinExpression` - the clause to visit
    Returns:
      `null`

  - ### visitOnExpression

    public Void visitOnExpression(OnExpression onExpression)
    Visits an `on` clause.
    Specified by:
      `visitOnExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `onExpression` - the clause to visit
    Returns:
      `null`

  - ### visitWhereExpression

    public Void visitWhereExpression(WhereExpression whereExpression)
    Visits a `where` clause.
    Specified by:
      `visitWhereExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `whereExpression` - the clause to visit
    Returns:
      `null`

  - ### visitGroupExpression

    public Void visitGroupExpression(GroupExpression groupExpression)
    Visits a `groupby` clause.
    Specified by:
      `visitGroupExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `groupExpression` - the clause to visit
    Returns:
      `null`

  - ### visitHavingExpression

    public Void visitHavingExpression(HavingExpression havingExpression)
    Visits a `having` clause.
    Specified by:
      `visitHavingExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `havingExpression` - the clause to visit
    Returns:
      `null`

  - ### visitOrderExpression

    public Void visitOrderExpression(OrderExpression orderExpression)
    Visits an `orderby` clause.
    Specified by:
      `visitOrderExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `orderExpression` - the clause to visit
    Returns:
      `null`

  - ### visitLimitExpression

    public Void visitLimitExpression(LimitExpression limitExpression)
    Visits a `limit` clause.
    Specified by:
      `visitLimitExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `limitExpression` - the clause to visit
    Returns:
      `null`

  - ### visitSelectExpression

    public Void visitSelectExpression(SelectExpression selectExpression)
    Visits a `select` clause.
    Specified by:
      `visitSelectExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `selectExpression` - the clause to visit
    Returns:
      `null`

  - ### visitSetOperationExpression

    public Void visitSetOperationExpression(SetOperationExpression setOperationExpression)
    Visits a set-operation expression.
    Specified by:
      `visitSetOperationExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `setOperationExpression` - the expression to visit
    Returns:
      `null`

  - ### visitShutdownExpression

    public Void visitShutdownExpression(ShutdownExpression shutdownExpression)
    Visits a shutdown expression.
    Specified by:
      `visitShutdownExpression` in interface `GinqAstVisitor<Void>`
    Parameters:
      `shutdownExpression` - the expression to visit
    Returns:
      `null`

  - ### visit

    public Void visit(AbstractGinqExpression expression)
    Visits the supplied expression when present.
    Specified by:
      `visit` in interface `GinqAstVisitor<Void>`
    Parameters:
      `expression` - the expression to visit
    Returns:
      `null`